summaryrefslogtreecommitdiff
path: root/sci-libs/pyshp
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /sci-libs/pyshp
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'sci-libs/pyshp')
-rw-r--r--sci-libs/pyshp/Manifest3
-rw-r--r--sci-libs/pyshp/metadata.xml9
-rw-r--r--sci-libs/pyshp/pyshp-2.4.1.ebuild29
-rw-r--r--sci-libs/pyshp/pyshp-3.0.2_p1.ebuild23
-rw-r--r--sci-libs/pyshp/pyshp-3.0.3.ebuild23
5 files changed, 87 insertions, 0 deletions
diff --git a/sci-libs/pyshp/Manifest b/sci-libs/pyshp/Manifest
new file mode 100644
index 000000000000..a68dbcf3d3b3
--- /dev/null
+++ b/sci-libs/pyshp/Manifest
@@ -0,0 +1,3 @@
+DIST pyshp-2.4.1..gh.tar.gz 2220419 BLAKE2B 3183c41a1a0be1081a44a1d0d479ff3f98353f28a560b62ff3c5f5f14e8e38d26c3bc3135b286df4eb581c4a6f3131dde956c82f2961a614e15ace820380132e SHA512 5bc58c6acb11eb170f851e4631f5befd7a14b3b55475cfb41c0984e3d71386932fe93b6fb982f04d7c5766f7a05cd1aec9329b71c9515cf045b37efb9af3ccc3
+DIST pyshp-3.0.2.post1.tar.gz 2192180 BLAKE2B 41b24de6150b0c4905e0bf5d057a2e171dceea1f6722e589ce2aad29d8c524ba83827a428a42812f36e94cfccf95f5182f9b075f1c64a5e2673623fc39f57576 SHA512 db176cb0092d7d289633eabb6ac8244a8bdda0000ebd9c88ca2db4d3263541124e9f82be47c3b0fc0bb76aa12566ddea16071e5d866228383c78e139c6f431e1
+DIST pyshp-3.0.3.tar.gz 2192568 BLAKE2B 1c5dadee078fd036a11fede2d1a94a4cc5bd265ffdddd16946e552edf9ceee40b66fad8df10b2d6f18c37c36c81cf0409b1e28f0db72480baee5dfbe043186c0 SHA512 08edf732e1dc60f79fd3ace1374fb4d7d226d774d6035f4da26eb6646533218d30fa9081fdf58d320b7e1f731174e899a27150aadf9d1698afbeb6d2d0b411c0
diff --git a/sci-libs/pyshp/metadata.xml b/sci-libs/pyshp/metadata.xml
new file mode 100644
index 000000000000..c2cecd461bdd
--- /dev/null
+++ b/sci-libs/pyshp/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>tomjbe@gentoo.org</email>
+ <name>Thomas Beierlein</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/sci-libs/pyshp/pyshp-2.4.1.ebuild b/sci-libs/pyshp/pyshp-2.4.1.ebuild
new file mode 100644
index 000000000000..b58a047d9c3a
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-2.4.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/"
+# pypi tarballs are missing test data
+#SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/GeospatialPython/${PN}/archive/${PV}.tar.gz -> ${P}..gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+ epytest test_shapefile.py -m "not network" || die
+}
diff --git a/sci-libs/pyshp/pyshp-3.0.2_p1.ebuild b/sci-libs/pyshp/pyshp-3.0.2_p1.ebuild
new file mode 100644
index 000000000000..02101c8acb4e
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-3.0.2_p1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+DISTUTILS_USE_PEP517=hatchling
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ epytest test_shapefile.py -m "not network"
+}
diff --git a/sci-libs/pyshp/pyshp-3.0.3.ebuild b/sci-libs/pyshp/pyshp-3.0.3.ebuild
new file mode 100644
index 000000000000..ef1422a8084f
--- /dev/null
+++ b/sci-libs/pyshp/pyshp-3.0.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{13..14} )
+
+DISTUTILS_USE_PEP517=hatchling
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python read/write support for ESRI Shapefile format"
+HOMEPAGE="https://pypi.org/project/pyshp/"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ epytest test_shapefile.py -m "not network"
+}